Next Previous Contents

## 3.10 BRK

> Function

>   Insert a 6502 BRK instrunction into the code.

> Header

>   `6502.h`

> Declaration

>   `void BRK (void);`

> Description

>   The function will insert a 6502 BRK instruction into the code which may be used to trigger a debugger.

> Limits

>   - The function is actually a macro.
>   - The inserted instruction may lead to unexpected results if no debugger is present.
> Availability

>   cc65

> See also

>   CLI, SEI

> Example

>   None.

Next Previous Contents